Subject: Re: bug#51821: 29.0.50; Suggest add variable or frame parameter: line-height

From: Po Lu <[email-masked]>
Date: Fri, 19 Nov 2021 17:33:18 +0800

Eli Zaretskii <[email-masked]> writes:

>> I think he expects the text in the smaller font to be "centered"
>> vertically, instead of sharing the same baseline as the Chinese font,
>> but I'm not sure.

> Really?  That can be done, but won't it look ugly on display?

IMO yes, but other people might have differing opinions.  Would it hurt
to make this an option?

> Do other GUI applications do that with mixed CJK and non-CJK fonts?

I found out earlier that the other applications simply scale the
overlarge glyphs to fit some predefined height.  In Chromium, it's
defined in CSS, but in other programs it's probably the height of the
ASCII font, or whichever font the user has configured.  (Other programs
generally don't provide the ability to customize the fontset, only a
single font.)